VOMS-PROXY-INFO(1)

NAME
voms-proxy-info - prints information about a proxy with VOMS extensions

SYNOPSIS

voms-proxy-info [options]

DESCRIPTION

The voms-proxy-info command prints information about a proxy, including information about the VOMS extension.

The default location of the proxy is

     /tmp/x509up_u<user_id>

where user_id is the effective user id of the user running the command. A non-standard location for the proxy can be specified using the -file option.

OPTIONS

Options may be specified indifferently with either a "-" or "--" prefix.

--acexists <voname>

    Returns 0 if AC exists corresponding to voname, 1 otherwise

--acissuer

    Prints the DN of AC issuer (certificate signer)

--acsubject

    Prints the distinguished name (DN) of AC subject

--actimeleft

    Prints time (in seconds) until AC expires

--all

    All proxy options in a human readable format

-b,--bits <B>

    [option to -exists] strength requirement for proxy to be valid

--chain

    Prints information about the whole proxy certificate chain (CA excluded)

--conf <file>

    Read options from <file>

--debug

    Enables extra debug output

-e,--exists

    Returns 0 if valid proxy exists, 1 otherwise

--file <proxyfile>

    Reads information from file <proxyfile>

--fqan

    Prints VOMS fully qualified attribute names (FQANs)

--help

    Displays helps and exits

--hours <H>

    [option to -exists] time requirement for proxy to be valid (deprecated, use -valid instead)

--identity

    Prints the DN of the identity represented by the proxy

--issuer

    Prints the proxy issuer DN

-k,--keyusage

    Prints content of the KeyUsage extension

-p,--path

    Prints the proxy file pathname

--serial

    Prints the AC serial number

--strength

    Prints the proxy key size (in bits)

--subject

    Prints the proxy subject Distinguished name (DN)

--text

    Prints all information regarding the certificate

--timeleft

    Prints time (in seconds) until proxy expires

--type

    Prints the proxy type (full or limited)

--uri

    Prints the URI of the VOMS server that issued the attributes

--usage

    Displays helps and exits

--valid <H:M>

    [option to -exists] time requirement for proxy to be valid

--version

    Displays version

--vo

    Prints the vo name

BUGS

To report bugs or ask for support, use GGUS:

AUTHORS

Enrico Vianello

Francesco Giacomini

SEE ALSO

voms-proxy-destroy(1), voms-proxy-info(1), vomses(5), vomsdir(5)